org.apache.ode.bpel.elang.xpath20.runtime

## Class JaxpVariableResolver

- java.lang.Object
- - org.apache.ode.bpel.elang.xpath20.runtime.JaxpVariableResolver

- All Implemented Interfaces:
    javax.xml.xpath.XPathVariableResolver

      public class JaxpVariableResolver
      extends java.lang.Object
      implements javax.xml.xpath.XPathVariableResolver

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JaxpVariableResolver(EvaluationContext ectx, OXPath10ExpressionBPEL20 oxpath, net.sf.saxon.Configuration config)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `net.sf.saxon.value.Value` | `convertSimpleTypeToSaxon(javax.xml.namespace.QName type, java.lang.String value)`
    `java.lang.Object` | `getSimpleContent(org.w3c.dom.Node simpleNode, javax.xml.namespace.QName type)`
    `java.lang.Object` | `resolveVariable(javax.xml.namespace.QName variableName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JaxpVariableResolver

          public JaxpVariableResolver(EvaluationContext ectx,
                                      OXPath10ExpressionBPEL20 oxpath,
                                      net.sf.saxon.Configuration config)

  - ### Method Detail

    - #### resolveVariable

          public java.lang.Object resolveVariable(javax.xml.namespace.QName variableName)

      Specified by:
        `resolveVariable` in interface `javax.xml.xpath.XPathVariableResolver`

    - #### convertSimpleTypeToSaxon

          public net.sf.saxon.value.Value convertSimpleTypeToSaxon(javax.xml.namespace.QName type,
                                                                   java.lang.String value)

    - #### getSimpleContent

          public java.lang.Object getSimpleContent(org.w3c.dom.Node simpleNode,
                                                   javax.xml.namespace.QName type)